package com.ruoyi.logistics.mapper;

import java.util.List;
import com.ruoyi.logistics.domain.BizBanner;

/**
 * 轮播图Mapper接口
 * 
 * @author RuiJing
 * @date 2026-02-05
 */
public interface BizBannerMapper 
{
    /**
     * 查询轮播图
     * 
     * @param bannerId 轮播图主键
     * @return 轮播图
     */
    public BizBanner selectBizBannerByBannerId(Long bannerId);

    /**
     * 查询轮播图列表
     * 
     * @param bizBanner 轮播图
     * @return 轮播图集合
     */
    public List<BizBanner> selectBizBannerList(BizBanner bizBanner);

    /**
     * 新增轮播图
     * 
     * @param bizBanner 轮播图
     * @return 结果
     */
    public int insertBizBanner(BizBanner bizBanner);

    /**
     * 修改轮播图
     * 
     * @param bizBanner 轮播图
     * @return 结果
     */
    public int updateBizBanner(BizBanner bizBanner);

    /**
     * 删除轮播图
     * 
     * @param bannerId 轮播图主键
     * @return 结果
     */
    public int deleteBizBannerByBannerId(Long bannerId);

    /**
     * 批量删除轮播图
     * 
     * @param bannerIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBizBannerByBannerIds(Long[] bannerIds);
}
